/*

    Copyright (C) Corollary, Inc., 1993, 1994.
    All Rights Reserved.
    This Module contains Proprietary Information of
    Corollary, Inc., and should be treated as Confidential.

Module Name:

    cbusapi.h

Abstract:

    Cbus function prototypes for the functions which are exposed
    to the rest of the kernel by the PSD.  we have chosen to prefix all of
    these entry points with capital "CBUS" for easy readability.
    any functions in the PSD that are not prefixed with capitalized "CBUS"
    are not exposed outside of the PSD.

Author:

    Landy Wang (landy@corollary.com) 11-Jan-1994
 */

#ifndef _CBUSAPI_

void 		CBUS_picinit();
void		CBUS_SendIPI(ulong_t, ulong_t);
void 		CBUS_PostCPUStart();
void 		CBUS_BootCPU(ulong_t, caddr_t);
void 		CBUS_Shutdown();
void		CBUS_IdleEnter(int);
void		CBUS_IdleExit(int);

void 		CBUS1_setspl(int ipl);
int 		CBUS1_IntrExit(int ipl, int vector);
int  		CBUS1_IntrEnter(int, int *);

void 		CBUS2_setspl(int ipl);
int 		CBUS2_IntrExit(int ipl, int vector);
int  		CBUS2_IntrEnter(int, int *);

int		CBUS_addspl(int, int, int, int);
int		CBUS_delspl(int, int, int, int);

#if 0
ulong_t		*CBUS_ReportMem(paddr_t);
#endif

#endif	    /* _CBUSAPI_ */
